/**
 * Represents an error object.
 *
 * @interface ISError
 */
export interface ISError {
	error: ErrorType;
	message: string;
	result?: unknown;
}

/**
 * Represents the types of errors that can occur in the application.
 *
 * @enum {number}
 */
export enum ErrorType {
	InvalidData = 0,
	DatabaseError = 1,
	ServiceError = 2,
	NotFound = 3,
	PasswordInvalid = 4,
	UnAuthorized = 5,
	UnexpectedError = 6,
}
